## NAME

db.tables - Lists all tables for a given database.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.tables
db.tables help
db.tables [-ps] [driver=name] [database=name] [--verbose] [--quiet]

### Flags:

-p
  Print tables and exit
-s
  System tables instead of user tables
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

driver=name
  Driver name
  Options: dbf,odbc,ogr,pg,sqlite
  Default: dbf
database=name
  Database name
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/dbf/

## DESCRIPTION

db.tables lists all tables for a given database.

## NOTE

If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

## EXAMPLES

List all tables if database connection is already set

    db.tables -p

List all tables of existing dbf database

    db.tables driver=dbf database=/home/user/grassdata/fire/PERMANENT/dbf

## SEE ALSO

db.columns, db.droptable, db.login, db.execute, GRASS SQL interface

## AUTHOR

?

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - database index - Full index

© 2003-2014 GRASS Development Team